package discovery

import (
	"encoding/json"

	"git.loafle.net/overflow/model/meta"
	"git.loafle.net/overflow/model/util"
	"github.com/google/gopacket"
)

type Port struct {
	MetaPortType *meta.MetaPortType `json:"metaPortType,omitempty"`
	PortNumber   json.Number        `json:"portNumber,omitempty"`
	Meta         map[string]string  `json:"meta,omitempty"`

	Host        *Host      `json:"host,omitempty"`
	ServiceList []*Service `json:"serviceList,omitempty"`

	DiscoveredBy   string          `json:"discoveredBy,omitempty"`
	DiscoveredDate *util.Timestamp `json:"discoveredDate,omitempty"`
	UDPLayer       gopacket.Layer  `json:"-"`
}
